Skip to content

Phones & Softphones

All operations require authentication, except the one marked Public.

81 operationsv1/telephony/accessories · /telephony/softphone · /telephony/spare · +1
View as Markdown (opens in a new tab)
Agent setup

List spare phonesProduction

GET
/v1/telephony/spare

List spare phones. Returns the spare phones of the customer. A spare phone can replace a phone of a line, with the same protocol.

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v1/telephony/spare \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get all available spare brandsProductionPublic

GET
/v1/telephony/spare/brands

Response

200string[]successful operation

Public: no token needed

$ curl https://api.eu.ovhcloud.com/v1/telephony/spare/brands
ResponseExample
[ "string"]

Get a spare phoneProduction

GET
/v1/telephony/spare/{spare}

Get a spare phone. Returns the spare phone: MAC address, brand and model, and its telephony protocol.

Path parameters

spare
required
string

The internal name of your spare

Response

200TelephonySpareWithIAMsuccessful operation
brand
read-only
string

Phone brand model

iam
read-only
ResourceMetadata

IAM resource metadata

macAddress
read-only
string

Mac address

protocol
read-only
ProtocolEnum

Phone protocol

Valuesmgcpsip

Example uses spare = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/spare/{spare} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "brand": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "macAddress": "string", "protocol": "mgcp"}

Delete a spare phoneProduction

DELETE
/v1/telephony/spare/{spare}

Delete a spare phone. Removes the spare phone from the customer account, as if it no longer belonged to OVHcloud.

Path parameters

spare
required
string

The internal name of your spare

Response

200—successful operation

Example uses spare = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/spare/{spare} \
  -H "authorization: Bearer $OVH_TOKEN"

List phones replaceable by the spareProduction

GET
/v1/telephony/spare/{spare}/compatibleReplacement

List phones replaceable by the spare. Returns the phones that the spare can replace. Use one of them to replace a phone with the spare.

Path parameters

spare
required
string

The internal name of your spare

Response

200string[]successful operation

Example uses spare = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/spare/{spare}/compatibleReplacement \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Replace a phone with the spareProduction

POST
/v1/telephony/spare/{spare}/replace

Replace a phone with the spare. Replaces the phone of a line, given by its domain and public IP address, with the spare. The replaced phone becomes a spare if it was bought.

Path parameters

spare
required
string

The internal name of your spare

Request body (required)

domain
required
string

The phone to replace by the spare

ip
required
ipv4

Public ip of the phone

Response

200—successful operation

Example uses spare = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/spare/{spare}/replace \
  -H "authorization: Bearer $OVH_TOKEN"

Get service informationProduction

GET
/v1/telephony/spare/{spare}/serviceInfos

Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.

Path parameters

spare
required
string

The internal name of your spare

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses spare = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/spare/{spare}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

Update service informationProduction

PUT
/v1/telephony/spare/{spare}/serviceInfos

Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.

Path parameters

spare
required
string

The internal name of your spare

Request body (required)

canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Response

200—successful operation

Example uses spare = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/spare/{spare}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"

List phone devicesProduction

GET
/v1/telephony/{billingAccount}/availableDevices

List phone devices. Returns the phone devices of the billing account: brand, MAC address, maximum and available lines, and the lines assigned to each one.

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200AvailableDevice[]successful operation
availableSlots
integer

Number of line slots still available on this device

brand
string

Brand of the device

description
string

Public description of the device

lines
AvailableDeviceLine[]

Lines currently assigned to this device

linesCount
integer

Number of lines currently assigned to this device

macAddress
string

MAC address of the device

maxLines
integer

Maximum number of lines the device can handle

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/availableDevices \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "availableSlots": 0, "brand": "string", "description": "string", "lines": [ { "billingAccount": "string", "description": "string", "isRoot": true, "numberInternational": "string" } ], "linesCount": 0, "macAddress": "string", "maxLines": 0 }]

Check for a new phone to activateProduction

GET
/v1/telephony/{billingAccount}/line/{serviceName}/activateNewPhone

Check for a new phone to activate. Checks whether a new phone is waiting to be activated on the line, after a phone switch.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/activateNewPhone \
  -H "authorization: Bearer $OVH_TOKEN"

Activate a new phoneProduction

POST
/v1/telephony/{billingAccount}/line/{serviceName}/activateNewPhone

Activate a new phone. Activates the new phone on the line, after a phone switch. Check first that a new phone is waiting to be activated.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/activateNewPhone \
  -H "authorization: Bearer $OVH_TOKEN"

Associate a deviceProduction

POST
/v1/telephony/{billingAccount}/line/{serviceName}/associateDevice

Associate a device. Associates a phone with the line, using the phone MAC address (AABBCCDDEEFF), its public IP address and the slot of the line on the phone.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

ipAddress
ipv4

The public phone IP address allowed to get phone's configuration

macAddress
required
string

The mac address of the device you want to associate to the line (format: AABBCCDDEEFF)

slot
integer

The slot or line position on the device (from 1 to N. N is the maximum number of lines/slots available on the device)

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/associateDevice \
  -H "authorization: Bearer $OVH_TOKEN"

Dissociate a deviceProduction

POST
/v1/telephony/{billingAccount}/line/{serviceName}/dissociateDevice

Dissociate a device. Dissociates a phone from the line, using the phone MAC address (AABBCCDDEEFF) and its public IP address.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

ipAddress
ipv4

The public phone IP address allowed to get phone's configuration

macAddress
required
string

The mac address of the device you want to dissociate from the line (format: AABBCCDDEEFF)

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/dissociateDevice \
  -H "authorization: Bearer $OVH_TOKEN"

List associable phonesProduction

GET
/v1/telephony/{billingAccount}/line/{serviceName}/listAssociablePhones

List associable phones. Returns the phones with a free slot that the line can be attached to, with their brand, protocol, attached lines and maximum number of lines.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200LinePhoneAssociable[]successful operation
associatedLines
LinePhoneAssociableConfiguredLines[]

Current lines configured on the phone

brand
string

Brand name of the phone

maxLines
integer

Maximum quantity of lines managed by the phone

protocol
ProtocolEnum

Phone protocol

Valuesmgcpsip

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/listAssociablePhones \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "associatedLines": [ { "description": "string", "serviceName": "string" } ], "brand": "string", "maxLines": 0, "protocol": "mgcp" }]

Get the phoneProduction

GET
/v1/telephony/{billingAccount}/line/{serviceName}/phone

Get the phone. Returns the phone attached to the line: brand, MAC address, protocol, description, maximum lines and simultaneous calls, and configuration.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200Phonesuccessful operation
brand
read-only
string

Brand name

description
read-only
string

The phone description

macAddress
read-only
string

Mac Address

maxSimultaneousCalls
read-only
integer

Maximum simultaneous calls managed by the phone

maxline
read-only
integer

Maximum number of lines managed by a phone

mgcpIpRestriction
ip

The ip restriction of your MGCP phone

phoneConfiguration
read-only
PhoneConfigurationProperty[]

Current phone properties

protocol
read-only
ProtocolEnum

Phone protocol

Valuesmgcpsip
userPassword
read-only
stringpassword

The phone user password

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/phone \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "brand": "string", "description": "string", "macAddress": "string", "maxSimultaneousCalls": 0, "maxline": 0, "mgcpIpRestriction": "192.0.2.0", "phoneConfiguration": [ { "default": "string", "description": "string", "enum": [ "string" ], "group": "string", "level": "admin", "maxlength": 0, "name": "string", "rangeValue": { "from": 0, "to": 0 }, "type": "boolean", "value": "string" } ], "protocol": "mgcp", "userPassword": "string"}

Update the phoneProduction

PUT
/v1/telephony/{billingAccount}/line/{serviceName}/phone

Update the phone. Updates the phone attached to the line: the IP address restriction of an MGCP phone.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

brand
read-only
string

Brand name

description
read-only
string

The phone description

macAddress
read-only
string

Mac Address

maxSimultaneousCalls
read-only
integer

Maximum simultaneous calls managed by the phone

maxline
read-only
integer

Maximum number of lines managed by a phone

mgcpIpRestriction
ip

The ip restriction of your MGCP phone

phoneConfiguration
read-only
PhoneConfigurationProperty[]

Current phone properties

protocol
read-only
ProtocolEnum

Phone protocol

Valuesmgcpsip
userPassword
read-only
stringpassword

The phone user password

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/phone \
  -H "authorization: Bearer $OVH_TOKEN"

Get the phone admin credentialsProduction

GET
/v1/telephony/{billingAccount}/line/{serviceName}/phone/adminCredentials

Get the phone admin credentials. Returns the administration login and password of the phone. Available to VIP customers only.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200PhoneCredentialssuccessful operation
login
string

Username to access the web interface of the phone

password
stringpassword

Password to access the web interface of the phone

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/phone/adminCredentials \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "login": "string", "password": "string"}

Change the phone configurationProduction

POST
/v1/telephony/{billingAccount}/line/{serviceName}/phone/changePhoneConfiguration

Change the phone configuration. Changes the phone configuration remotely with name value pairs of provisioning options, and can reboot the phone to apply them.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

autoReboot
boolean

Automatically reboot phone when applying the configuration

newConfigurations
SafeKeyValue_string[]

Name value pairs of provisioning options

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/phone/changePhoneConfiguration \
  -H "authorization: Bearer $OVH_TOKEN"

List function keysProduction

GET
/v1/telephony/{billingAccount}/line/{serviceName}/phone/functionKey

List function keys. Returns the numbers (keyNum) of the function keys of the phone. Get a function key for its label, type and active function.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200integer[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/phone/functionKey \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a function keyProduction

GET
/v1/telephony/{billingAccount}/line/{serviceName}/phone/functionKey/{keyNum}

Get a function key. Returns the function key of the phone: number, label, type, default function, active function and its parameter.

Path parameters

billingAccount
required
string

The name of your billingAccount

keyNum
required
integer

The number of the function key

serviceName
required
string
—

Response

200FunctionKeysuccessful operation
default
read-only
string

The default function used by the key

function
string

The function active on the key

keyNum
read-only
integer

The number of the function key

label
read-only
string

The key label

parameter
string

The function parameter

type
read-only
string

The key type

Example uses billingAccount = string, keyNum = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/phone/functionKey/{keyNum} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "default": "string", "function": "string", "keyNum": 0, "label": "string", "parameter": "string", "type": "string"}

Update a function keyProduction

PUT
/v1/telephony/{billingAccount}/line/{serviceName}/phone/functionKey/{keyNum}

Update a function key. Updates the function active on the key and its parameter. The available functions are listed for each key.

Path parameters

billingAccount
required
string

The name of your billingAccount

keyNum
required
integer

The number of the function key

serviceName
required
string
—

Request body (required)

default
read-only
string

The default function used by the key

function
string

The function active on the key

keyNum
read-only
integer

The number of the function key

label
read-only
string

The key label

parameter
string

The function parameter

type
read-only
string

The key type

Response

200—successful operation

Example uses billingAccount = string, keyNum = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/phone/functionKey/{keyNum} \
  -H "authorization: Bearer $OVH_TOKEN"

List available functionsProduction

GET
/v1/telephony/{billingAccount}/line/{serviceName}/phone/functionKey/{keyNum}/availableFunction

List available functions. Returns the functions that can be set on the function key. Set one with the function and parameter of the key.

Path parameters

billingAccount
required
string

The name of your billingAccount

keyNum
required
integer

The number of the function key

serviceName
required
string
—

Response

200string[]successful operation

Example uses billingAccount = string, keyNum = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/phone/functionKey/{keyNum}/availableFunction \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

List exchange phonesProduction

GET
/v1/telephony/{billingAccount}/line/{serviceName}/phone/merchandiseAvailable

List exchange phones. Returns the phones available to exchange the current phone, with their name, description, URL and price.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200HardwareOffer[]successful operation
description
string

The telephony description

name
string

The telephony name

price
Price

Telephony price

url
string

An URL to telephony details

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/phone/merchandiseAvailable \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "description": "string", "name": "string", "price": { "currencyCode": "AUD", "text": "string", "value": 0 }, "url": "string" }]

List phonebooksProduction

GET
/v1/telephony/{billingAccount}/line/{serviceName}/phone/phonebook

List phonebooks. Returns the identifiers (bookKey) of the phonebooks of the phone. Check first that the phone supports phonebooks.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200string[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/phone/phonebook \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a phonebookProduction

GET
/v1/telephony/{billingAccount}/line/{serviceName}/phone/phonebook/{bookKey}

Get a phonebook. Returns the phonebook of the phone: name, identifier (bookKey), phone key and whether it is read-only.

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

serviceName
required
string
—

Response

200Phonebooksuccessful operation
bookKey
read-only
string

Identifier of the phonebook

isReadonly
boolean

Set if phonebook is readonly

name
string

Phonebook name

phoneKey
read-only
string

Phone key identifier between the phone and phonebooks

Example uses billingAccount = string, bookKey = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/phone/phonebook/{bookKey} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "bookKey": "string", "isReadonly": true, "name": "string", "phoneKey": "string"}

Create a phonebookProduction

POST
/v1/telephony/{billingAccount}/line/{serviceName}/phone/phonebook

Create a phonebook. Creates a phonebook on the phone of the line, if the phone supports phonebooks. Returns its identifier (bookKey).

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

name
required
string

Name of the wanted phonebook

Response

200stringsuccessful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/phone/phonebook \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Delete a phonebookProduction

DELETE
/v1/telephony/{billingAccount}/line/{serviceName}/phone/phonebook/{bookKey}

Delete a phonebook. Deletes the phonebook of the phone and its contacts. Export the contacts first to keep a copy.

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, bookKey = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/phone/phonebook/{bookKey} \
  -H "authorization: Bearer $OVH_TOKEN"

Update a phonebookProduction

PUT
/v1/telephony/{billingAccount}/line/{serviceName}/phone/phonebook/{bookKey}

Update a phonebook. Updates the name of the phonebook of the phone. Contacts are updated one by one with the phonebookContact route.

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

serviceName
required
string
—

Request body (required)

bookKey
read-only
string

Identifier of the phonebook

isReadonly
boolean

Set if phonebook is readonly

name
string

Phonebook name

phoneKey
read-only
string

Phone key identifier between the phone and phonebooks

Response

200—successful operation

Example uses billingAccount = string, bookKey = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/phone/phonebook/{bookKey} \
  -H "authorization: Bearer $OVH_TOKEN"

Export contactsProduction

GET
/v1/telephony/{billingAccount}/line/{serviceName}/phone/phonebook/{bookKey}/export

Export contacts. Exports the contacts of the phonebook to a file in CSV format. Returns the file to download.

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

serviceName
required
string
—

Query parameters

format
required
ContactsExportFormatsEnum

Format of the file

Valuescsv

Response

200PcsFilesuccessful operation
filename
read-only
string
—
status
read-only
PcsFileStatusEnum

File providing task status

Valuesdoingdoneerrortodo
url
read-only
string
—
urlExpirationDatetime
read-only
stringdate-time
—

Example uses billingAccount = string, bookKey = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/phone/phonebook/{bookKey}/export \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "filename": "string", "status": "doing", "url": "string", "urlExpirationDatetime": "2024-01-01T12:00:00Z"}

Import contactsProduction

POST
/v1/telephony/{billingAccount}/line/{serviceName}/phone/phonebook/{bookKey}/import

Import contacts. Imports contacts into the phonebook from an Excel (.xls, .xlsx) or CSV file in /me/document. Returns the task that performs the import.

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

serviceName
required
string
—

Request body (required)

documentId
required
string

ID of the /me/document file you want to import

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, bookKey = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/phone/phonebook/{bookKey}/import \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

List contactsProduction

GET
/v1/telephony/{billingAccount}/line/{serviceName}/phone/phonebook/{bookKey}/phonebookContact

List contacts. Returns the identifiers of the contacts of the phonebook. Get a contact for its name, group and phone numbers.

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

serviceName
required
string
—

Response

200integer[]successful operation

Example uses billingAccount = string, bookKey = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/phone/phonebook/{bookKey}/phonebookContact \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a contactProduction

GET
/v1/telephony/{billingAccount}/line/{serviceName}/phone/phonebook/{bookKey}/phonebookContact/{id}

Get a contact. Returns the contact of the phonebook: name, surname, group, and office and home phone numbers, landline and mobile.

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

id
required
integer

Contact identifier

serviceName
required
string
—

Response

200PhonebookContactsuccessful operation
group
string

Group name of the phonebook

homeMobile
phoneNumber

Home mobile phone number of the contact

homePhone
phoneNumber

Home landline phone number of the contact

id
read-only
integer

Contact identifier

name
string

Contact name

surname
string

Contact surname

workMobile
phoneNumber

Mobile phone office number of the contact

workPhone
phoneNumber

Landline phone office number of the contact

Example uses billingAccount = string, bookKey = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/phone/phonebook/{bookKey}/phonebookContact/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "group": "string", "homeMobile": "string", "homePhone": "string", "id": 0, "name": "string", "surname": "string", "workMobile": "string", "workPhone": "string"}

Create a contactProduction

POST
/v1/telephony/{billingAccount}/line/{serviceName}/phone/phonebook/{bookKey}/phonebookContact

Create a contact. Creates a contact in the phonebook with a name, surname, group and phone numbers. Returns its identifier.

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

serviceName
required
string
—

Request body (required)

group
required
string

Group name of the phonebook

homeMobile
phoneNumber

Home mobile phone number of the contact

homePhone
phoneNumber

Home landline phone number of the contact

name
required
string

Name of the contact

surname
required
string

Contact surname

workMobile
phoneNumber

Mobile phone office number of the contact

workPhone
phoneNumber

Landline phone office number of the contact

Response

200integersuccessful operation

Example uses billingAccount = string, bookKey = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/phone/phonebook/{bookKey}/phonebookContact \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
0

Delete a contactProduction

DELETE
/v1/telephony/{billingAccount}/line/{serviceName}/phone/phonebook/{bookKey}/phonebookContact/{id}

Delete a contact. Deletes the contact from the phonebook, with its name, group and office and home phone numbers.

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

id
required
integer

Contact identifier

serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, bookKey = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/phone/phonebook/{bookKey}/phonebookContact/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Update a contactProduction

PUT
/v1/telephony/{billingAccount}/line/{serviceName}/phone/phonebook/{bookKey}/phonebookContact/{id}

Update a contact. Updates the contact of the phonebook: name, surname, group, and office and home phone numbers, landline and mobile.

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

id
required
integer

Contact identifier

serviceName
required
string
—

Request body (required)

group
string

Group name of the phonebook

homeMobile
phoneNumber

Home mobile phone number of the contact

homePhone
phoneNumber

Home landline phone number of the contact

id
read-only
integer

Contact identifier

name
string

Contact name

surname
string

Contact surname

workMobile
phoneNumber

Mobile phone office number of the contact

workPhone
phoneNumber

Landline phone office number of the contact

Response

200—successful operation

Example uses billingAccount = string, bookKey = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/phone/phonebook/{bookKey}/phonebookContact/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Reboot the phoneProduction

POST
/v1/telephony/{billingAccount}/line/{serviceName}/phone/reboot

Reboot the phone. Reboots the phone attached to the line. Returns the task that tracks the reboot, to follow its status.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/phone/reboot \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

Refresh the phone screenProduction

POST
/v1/telephony/{billingAccount}/line/{serviceName}/phone/refreshScreen

Refresh the phone screen. Refreshes the screen of the MGCP phone. Returns the task that tracks the refresh.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/phone/refreshScreen \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

Reset the phone configurationProduction

POST
/v1/telephony/{billingAccount}/line/{serviceName}/phone/resetConfig

Reset the phone configuration. Resets the phone configuration to its default values, for the given public IP address. Returns the reset code and the reset method.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

ip
required
ipv4

The public ip phone allowed for reset

Response

200ResetPhoneInfosuccessful operation
resetCodeInfo
ResetPhoneCodeInfo

Reset code informations

resetPhoneMethod
ResetPhoneMethodEnum

Which way had been used to reset the phone

Valuescodehttp

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/phone/resetConfig \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "resetCodeInfo": { "activationCode": "string", "keyBook": "string", "serverURL": "string" }, "resetPhoneMethod": "code"}

List RMAsProduction

GET
/v1/telephony/{billingAccount}/line/{serviceName}/phone/rma

List RMAs. Returns the identifiers of the RMAs of the phone. An RMA is a request to return or exchange a phone.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200string[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/phone/rma \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get an RMAProduction

GET
/v1/telephony/{billingAccount}/line/{serviceName}/phone/rma/{id}

Get an RMA. Returns the RMA: type, process, status and steps, creation, reception and termination dates, equipment reference and shipping contact.

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
string

Return merchandise authorisation identifier

serviceName
required
string
—

Response

200Rmasuccessful operation
cancellable
read-only
boolean

Is the RMA cancellable?

creationDatetime
read-only
stringdate-time

Creation datetime of the return merchandise authorisation ticket

equipmentReference
read-only
string

Merchandise reference

id
read-only
string

Return merchandise authorisation identifier

newMerchandise
read-only
string

New merchandise brand in case of exchange

offerTypeNew
read-only
RmaOfferTypeEnum

Offer type of the new merchandise in case of exchange

Valuesdepositloanpurchase
offerTypeOld
read-only
RmaOfferTypeEnum

Offer type of the return merchandise

Valuesdepositloanpurchase
process
RmaReplaceTypeEnum

Process determined for merchandise returned

ValueschangePhonephoneRestitutionundefined
receptionDatetime
read-only
stringdate-time

Reception datetime of the return merchandise authorisation ticket

shippingContact
Contact

Contact information related to the delivery shipping in case of exchange

status
read-only
RmaStatusEnum

Return merchandise authorisation step

Valuesclosedopenreceived
steps
read-only
RmaStep[]

Indicates the current status of the RMA with a list of steps

terminationDatetime
read-only
stringdate-time

Termination datetime of the return merchandise authorisation ticket

type
read-only
RmaTypeEnum

Typology process of merchandise return

Valuesafter sale equipment service exchangeafter sale phone service exchangeequipment restitutionfast exchangeold merchandise reception before exchangephone restitutionresends due to shipping lost by the carrierresends due to shipping not withdrawspecific return merchandise authorisationterminationunknown

Example uses billingAccount = string, id = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/phone/rma/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "cancellable": true, "creationDatetime": "2024-01-01T12:00:00Z", "equipmentReference": "string", "id": "string", "newMerchandise": "string", "offerTypeNew": "deposit", "offerTypeOld": "deposit", "process": "changePhone", "receptionDatetime": "2024-01-01T12:00:00Z", "shippingContact": { "address": "string", "city": "string", "country": "ac", "email": "string", "firstname": "string", "name": "string", "organisation": "string", "phone": "string", "zip": "string" }, "status": "closed", "steps": [ { "description": "string", "doneDate": "2024-01-01T12:00:00Z", "infos": "string", "name": "dispatchJustification", "status": "done" } ], "terminationDatetime": "2024-01-01T12:00:00Z", "type": "after sale equipment service exchange"}

Create an RMAProduction

POST
/v1/telephony/{billingAccount}/line/{serviceName}/phone/rma

Create an RMA. Creates an RMA to return the phone and keep the service, or to exchange it for another phone. Returns the RMA identifier.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

mondialRelayId
string

Use /supply/mondialRelay entry point to specify a relay point and ignore shipping contact address information entry.

newMerchandise
string

New merchandise brand in case of exchange

shippingContactId
integer

Shipping contact information id from /me entry point

type
required
RmaPublicTypeEnum

Typology process of merchandise return

Valueschange to another phone/equipment (restitution first and shipping then)restitution but keep the service enable

Response

200RmaReturnsuccessful operation
id
string

Voucher reference identifier of the return merchandise authorisation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/phone/rma \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "id": "string"}

Cancel an RMAProduction

DELETE
/v1/telephony/{billingAccount}/line/{serviceName}/phone/rma/{id}

Cancel an RMA. Cancels the RMA of the phone. Only an RMA marked as cancellable, as returned when getting the RMA, can be cancelled.

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
string

Return merchandise authorisation identifier

serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, id = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/phone/rma/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Update an RMAProduction

PUT
/v1/telephony/{billingAccount}/line/{serviceName}/phone/rma/{id}

Update an RMA. Updates the shipping contact used for an exchange and the process determined for the returned phone.

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
string

Return merchandise authorisation identifier

serviceName
required
string
—

Request body (required)

cancellable
read-only
boolean

Is the RMA cancellable?

creationDatetime
read-only
stringdate-time

Creation datetime of the return merchandise authorisation ticket

equipmentReference
read-only
string

Merchandise reference

id
read-only
string

Return merchandise authorisation identifier

newMerchandise
read-only
string

New merchandise brand in case of exchange

offerTypeNew
read-only
RmaOfferTypeEnum

Offer type of the new merchandise in case of exchange

Valuesdepositloanpurchase
offerTypeOld
read-only
RmaOfferTypeEnum

Offer type of the return merchandise

Valuesdepositloanpurchase
process
RmaReplaceTypeEnum

Process determined for merchandise returned

ValueschangePhonephoneRestitutionundefined
receptionDatetime
read-only
stringdate-time

Reception datetime of the return merchandise authorisation ticket

shippingContact
Contact

Contact information related to the delivery shipping in case of exchange

status
read-only
RmaStatusEnum

Return merchandise authorisation step

Valuesclosedopenreceived
steps
read-only
RmaStep[]

Indicates the current status of the RMA with a list of steps

terminationDatetime
read-only
stringdate-time

Termination datetime of the return merchandise authorisation ticket

type
read-only
RmaTypeEnum

Typology process of merchandise return

Valuesafter sale equipment service exchangeafter sale phone service exchangeequipment restitutionfast exchangeold merchandise reception before exchangephone restitutionresends due to shipping lost by the carrierresends due to shipping not withdrawspecific return merchandise authorisationterminationunknown

Response

200—successful operation

Example uses billingAccount = string, id = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/phone/rma/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Change the RMA typeProduction

POST
/v1/telephony/{billingAccount}/line/{serviceName}/phone/rma/{id}/changeType

Change the RMA type. Changes the type of the RMA to a termination (resiliate) or a phone restitution (toSip).

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
string

Return merchandise authorisation identifier

serviceName
required
string
—

Request body (required)

type
required
RmaChangeTypeEnum

new RMA type

ValuesresiliatetoSip

Response

200—successful operation

Example uses billingAccount = string, id = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/phone/rma/{id}/changeType \
  -H "authorization: Bearer $OVH_TOKEN"

Check phonebook supportProduction

GET
/v1/telephony/{billingAccount}/line/{serviceName}/phone/supportsPhonebook

Check phonebook support. Returns whether the phone supports phonebooks. Phonebooks can be created on the phone only when it does.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200booleansuccessful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/phone/supportsPhonebook \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
true

List phones with a free SIP slotDeprecated

GET
/v1/telephony/{billingAccount}/line/{serviceName}/phoneCanBeAssociable

Deprecated since May 9, 2017, will be removed on Nov 9, 2016 — use /telephony/{billingAccount}/line/{serviceName}/listAssociablePhones instead.

List phones with a free SIP slot. Returns the phones with a free SIP slot for the line: brand, protocol, maximum number of lines, price and fees.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200LinePhone[]successful operation
brand
string

Brand name of the phone

description
string

The phone description

fees
Price

Setup fees

maxline
integer

Maximum number of lines managed by a phone

offerType
RmaOfferTypeEnum

Type of purchase

Valuesdepositloanpurchase
price
Price

Telephony price

protocol
ProtocolEnum

Phone protocol

Valuesmgcpsip

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/phoneCanBeAssociable \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "brand": "string", "description": "string", "fees": { "currencyCode": "AUD", "text": "string", "value": 0 }, "maxline": 0, "offerType": "deposit", "price": { "currencyCode": "AUD", "text": "string", "value": 0 }, "protocol": "mgcp" }]

List unreturned old phonesProduction

GET
/v1/telephony/{billingAccount}/oldPhone

List unreturned old phones. Returns the old phones not returned after an RMA, with their model and MAC address.

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200OldPhone[]successful operation
mac
string

Mac address of the phone

model
string

Model of the phone

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/oldPhone \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "mac": "string", "model": "string" }]

List phonebooksProduction

GET
/v1/telephony/{billingAccount}/phonebook

List phonebooks. Returns the identifiers (bookKey) of the phonebooks shared by the billing account. A phonebook stores contacts with their phone numbers.

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200string[]successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/phonebook \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a phonebookProduction

GET
/v1/telephony/{billingAccount}/phonebook/{bookKey}

Get a phonebook. Returns the name and the identifier (bookKey) of the phonebook shared by the billing account.

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

Response

200PhonebookMastersuccessful operation
bookKey
read-only
string

Identifier of the phonebook

name
string

Phone book name

Example uses billingAccount = string, bookKey = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/phonebook/{bookKey} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "bookKey": "string", "name": "string"}

Create a phonebookProduction

POST
/v1/telephony/{billingAccount}/phonebook

Create a phonebook. Creates a phonebook shared by the billing account. Returns its identifier (bookKey).

Path parameters

billingAccount
required
string

The name of your billingAccount

Request body (required)

name
required
string

Name of the wanted phonebook

Response

200stringsuccessful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/phonebook \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Delete a phonebookProduction

DELETE
/v1/telephony/{billingAccount}/phonebook/{bookKey}

Delete a phonebook. Deletes the phonebook shared by the billing account and its contacts. Export the contacts first to keep a copy.

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

Response

200—successful operation

Example uses billingAccount = string, bookKey = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/phonebook/{bookKey} \
  -H "authorization: Bearer $OVH_TOKEN"

Update a phonebookProduction

PUT
/v1/telephony/{billingAccount}/phonebook/{bookKey}

Update a phonebook. Updates the name of the phonebook shared by the billing account. Contacts are updated one by one.

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

Request body (required)

bookKey
read-only
string

Identifier of the phonebook

name
string

Phone book name

Response

200—successful operation

Example uses billingAccount = string, bookKey = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/phonebook/{bookKey} \
  -H "authorization: Bearer $OVH_TOKEN"

Export contactsProduction

GET
/v1/telephony/{billingAccount}/phonebook/{bookKey}/export

Export contacts. Exports the contacts of the phonebook to a file in CSV format. Returns the file to download.

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

Query parameters

format
required
ContactsExportFormatsEnum

Format of the file

Valuescsv

Response

200PcsFilesuccessful operation
filename
read-only
string
—
status
read-only
PcsFileStatusEnum

File providing task status

Valuesdoingdoneerrortodo
url
read-only
string
—
urlExpirationDatetime
read-only
stringdate-time
—

Example uses billingAccount = string, bookKey = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/phonebook/{bookKey}/export \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "filename": "string", "status": "doing", "url": "string", "urlExpirationDatetime": "2024-01-01T12:00:00Z"}

Import contactsProduction

POST
/v1/telephony/{billingAccount}/phonebook/{bookKey}/import

Import contacts. Imports contacts into the phonebook from an Excel (.xls, .xlsx) or CSV file in /me/document. Returns the task that performs the import.

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

Request body (required)

documentId
required
string

ID of the /me/document file you want to import

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, bookKey = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/phonebook/{bookKey}/import \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

List contactsProduction

GET
/v1/telephony/{billingAccount}/phonebook/{bookKey}/phonebookContact

List contacts. Returns the identifiers of the contacts of the phonebook. Get a contact for its name, group and phone numbers.

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

Response

200integer[]successful operation

Example uses billingAccount = string, bookKey = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/phonebook/{bookKey}/phonebookContact \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a contactProduction

GET
/v1/telephony/{billingAccount}/phonebook/{bookKey}/phonebookContact/{id}

Get a contact. Returns the contact of the phonebook: name, surname, group, and office and home phone numbers, landline and mobile.

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

id
required
integer

Contact identifier

Response

200PhonebookContactsuccessful operation
group
string

Group name of the phonebook

homeMobile
phoneNumber

Home mobile phone number of the contact

homePhone
phoneNumber

Home landline phone number of the contact

id
read-only
integer

Contact identifier

name
string

Contact name

surname
string

Contact surname

workMobile
phoneNumber

Mobile phone office number of the contact

workPhone
phoneNumber

Landline phone office number of the contact

Example uses billingAccount = string, bookKey = string, id = 0

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/phonebook/{bookKey}/phonebookContact/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "group": "string", "homeMobile": "string", "homePhone": "string", "id": 0, "name": "string", "surname": "string", "workMobile": "string", "workPhone": "string"}

Create a contactProduction

POST
/v1/telephony/{billingAccount}/phonebook/{bookKey}/phonebookContact

Create a contact. Creates a contact in the phonebook with a name, surname, group and phone numbers. Returns its identifier.

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

Request body (required)

group
required
string

Group name of the phonebook

homeMobile
phoneNumber

Home mobile phone number of the contact

homePhone
phoneNumber

Home landline phone number of the contact

name
required
string

Name of the contact

surname
required
string

Contact surname

workMobile
phoneNumber

Mobile phone office number of the contact

workPhone
phoneNumber

Landline phone office number of the contact

Response

200integersuccessful operation

Example uses billingAccount = string, bookKey = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/phonebook/{bookKey}/phonebookContact \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
0

Delete a contactProduction

DELETE
/v1/telephony/{billingAccount}/phonebook/{bookKey}/phonebookContact/{id}

Delete a contact. Deletes the contact from the phonebook, with its name, group and office and home phone numbers.

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

id
required
integer

Contact identifier

Response

200—successful operation

Example uses billingAccount = string, bookKey = string, id = 0

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/phonebook/{bookKey}/phonebookContact/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Update a contactProduction

PUT
/v1/telephony/{billingAccount}/phonebook/{bookKey}/phonebookContact/{id}

Update a contact. Updates the contact of the phonebook: name, surname, group, and office and home phone numbers, landline and mobile.

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

id
required
integer

Contact identifier

Request body (required)

group
string

Group name of the phonebook

homeMobile
phoneNumber

Home mobile phone number of the contact

homePhone
phoneNumber

Home landline phone number of the contact

id
read-only
integer

Contact identifier

name
string

Contact name

surname
string

Contact surname

workMobile
phoneNumber

Mobile phone office number of the contact

workPhone
phoneNumber

Landline phone office number of the contact

Response

200—successful operation

Example uses billingAccount = string, bookKey = string, id = 0

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/phonebook/{bookKey}/phonebookContact/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Get all available accessoriesProduction

GET
/v1/telephony/accessories

Query parameters

brand
string

Phone brand

country
required
ServiceNumberCountryEnum

The country

Valuesbechdeesfrgbuk

Response

200AccessoryOffer[]successful operation
description
string

The accessory description

name
string

The accessory name

price
Price

Accessory price

url
string

An URL to accessory details

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v1/telephony/accessories \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "description": "string", "name": "string", "price": { "currencyCode": "AUD", "text": "string", "value": 0 }, "url": "string" }]

List softphone themesProduction

GET
/v1/telephony/softphone/themes

Returns the identifiers of the available softphone themes.

Response

200integer[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v1/telephony/softphone/themes \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a softphone themeProduction

GET
/v1/telephony/softphone/themes/{themeId}

Returns the softphone theme and its main color code.

Path parameters

themeId
required
integer

Theme ID

Response

200SoftphoneThemesuccessful operation
color
read-only
string

Theme main color code

themeId
read-only
integer

Theme ID

Example uses themeId = 0

$ curl https://api.eu.ovhcloud.com/v1/telephony/softphone/themes/{themeId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "color": "string", "themeId": 0}

Get the softphone beta statusProduction

GET
/v1/telephony/{billingAccount}/line/{serviceName}/softphone/beta

Returns whether the softphone beta is enabled on the line.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200SoftphoneBetaStatussuccessful operation
enabled
required
boolean

Whether Softphone beta is enabled or disabled

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/softphone/beta \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "enabled": true}

Update the softphone beta statusProduction

PUT
/v1/telephony/{billingAccount}/line/{serviceName}/softphone/beta

Enables or disables the softphone beta on the line.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

enabled
required
boolean

Whether Softphone beta is enabled or disabled

Response

200SoftphoneBetaStatussuccessful operation
enabled
required
boolean

Whether Softphone beta is enabled or disabled

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/softphone/beta \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "enabled": true}

List softphone devicesProduction

GET
/v1/telephony/{billingAccount}/line/{serviceName}/softphone/devices

Returns the softphone devices registered on the line: name, operating system, user agent and last registration date.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200SoftphoneDevices[]successful operation
id
read-only
string

Device ID

name
read-only
string

Device name

os
read-only
string

Device operating system

updateTime
read-only
stringdate-time

Last device register date

userAgent
read-only
string

Device user agent

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/softphone/devices \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "id": "string", "name": "string", "os": "string", "updateTime": "2024-01-01T12:00:00Z", "userAgent": "string" }]

Disconnect all softphone devicesProduction

POST
/v1/telephony/{billingAccount}/line/{serviceName}/softphone/devices/disconnect

Disconnects every softphone device registered on the line.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/softphone/devices/disconnect \
  -H "authorization: Bearer $OVH_TOKEN"

Delete a softphone deviceProduction

DELETE
/v1/telephony/{billingAccount}/line/{serviceName}/softphone/devices/{deviceId}

Deletes a softphone device registered on the line.

Path parameters

billingAccount
required
string

The name of your billingAccount

deviceId
required
string

Device ID

serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, deviceId = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/softphone/devices/{deviceId} \
  -H "authorization: Bearer $OVH_TOKEN"

Get the line softphone statusProduction

GET
/v1/telephony/{billingAccount}/line/{serviceName}/softphone/status

Returns the softphone status of the line: eligibility, beta activation and infrastructure.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200SoftphoneStatussuccessful operation
activation
read-only
boolean

Line beta softphone activation status

eligibility
read-only
boolean

Line eligibility to softphone

infrastructure
read-only
SoftphoneInfrastructureEnum

Line infrastructure

ValuesLEGACYNOWI

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/softphone/status \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "activation": true, "eligibility": true, "infrastructure": "LEGACY"}

Get the line softphone themeProduction

GET
/v1/telephony/{billingAccount}/line/{serviceName}/softphone/theme

Returns the softphone theme of the line and its main color code.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200SoftphoneThemesuccessful operation
color
read-only
string

Theme main color code

themeId
read-only
integer

Theme ID

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/softphone/theme \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "color": "string", "themeId": 0}

Update the line softphone themeProduction

PUT
/v1/telephony/{billingAccount}/line/{serviceName}/softphone/theme

Sets the softphone theme of the line from a theme identifier.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

themeId
required
integer

Theme ID

Response

200SoftphoneThemesuccessful operation
color
read-only
string

Theme main color code

themeId
read-only
integer

Theme ID

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/softphone/theme \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "color": "string", "themeId": 0}

Delete the line softphone themeProduction

DELETE
/v1/telephony/{billingAccount}/line/{serviceName}/softphone/theme

Deletes the softphone theme of the line.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/softphone/theme \
  -H "authorization: Bearer $OVH_TOKEN"

Generate a provisioning tokenProduction

POST
/v1/telephony/{billingAccount}/line/{serviceName}/softphone/token

Generates a token to register a softphone device on the line, and sends it to the given email address.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

email
string

Email to receive the generated provisioning token

Response

200SoftphoneTokensuccessful operation
token
read-only
stringpassword

Provisioning token used to register device

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/line/{serviceName}/softphone/token \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "token": "string"}

Get the billing account softphone themeProduction

GET
/v1/telephony/{billingAccount}/softphone/theme

Returns the softphone theme of the billing account and its main color code.

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200SoftphoneThemesuccessful operation
color
read-only
string

Theme main color code

themeId
read-only
integer

Theme ID

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/softphone/theme \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "color": "string", "themeId": 0}

Update the billing account softphone themeProduction

PUT
/v1/telephony/{billingAccount}/softphone/theme

Sets the softphone theme of the billing account from a theme identifier.

Path parameters

billingAccount
required
string

The name of your billingAccount

Request body (required)

themeId
required
integer

Theme ID

Response

200SoftphoneThemesuccessful operation
color
read-only
string

Theme main color code

themeId
read-only
integer

Theme ID

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/softphone/theme \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "color": "string", "themeId": 0}